CVE-2020-14364

An out-of-bounds read/write access flaw was found in the USB emulator of the QEMU in versions before 5.2.0. This issue occurs while processing USB packets from a guest when USBDevice 'setup_len' exceeds its 'data_buf[4096]' in the do_token_in, do_token_out routines. This flaw allows a guest user to crash the QEMU process, resulting in a denial of service, or the potential execution of arbitrary code with the privileges of the QEMU process on the host.
Configurations

Configuration 1 (hide)

cpe:2.3:a:qemu:qemu:*:*:*:*:*:*:*:*

Configuration 2 (hide)

OR cpe:2.3:o:redhat:enterprise_linux:7.0:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:6.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:openstack:10:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:8.0:*:*:*:advanced_virtualization:*:*:*
cpe:2.3:a:redhat:openstack:13:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:8.0:*:*:*:-:*:*:*

Configuration 3 (hide)

OR cpe:2.3:o:fedoraproject:fedora:31:*:*:*:*:*:*:*
cpe:2.3:o:fedoraproject:fedora:32:*:*:*:*:*:*:*

Configuration 4 (hide)

OR cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

Configuration 5 (hide)

cpe:2.3:o:opensuse:leap:15.2:*:*:*:*:*:*:*

Configuration 6 (hide)

OR cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:20.04:*:*:*:lts:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:esm:*:*:*

History

16 Nov 2022, 14:06

Type Values Removed Values Added
CPE cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*
cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:fedoraproject:fedora:32:*:*:*:*:*:*:*
cpe:2.3:o:opensuse:leap:15.2:*:*:*:*:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:20.04:*:*:*:lts:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:esm:*:*:*
First Time Opensuse leap
Canonical ubuntu Linux
Canonical
Opensuse
References (MLIST) https://lists.debian.org/debian-lts-announce/2020/09/msg00013.html - (MLIST) https://lists.debian.org/debian-lts-announce/2020/09/msg00013.html - Mailing List, Third Party Advisory
References (GENTOO) https://security.gentoo.org/glsa/202009-14 - (GENTOO) https://security.gentoo.org/glsa/202009-14 - Third Party Advisory
References (GENTOO) https://security.gentoo.org/glsa/202011-09 - (GENTOO) https://security.gentoo.org/glsa/202011-09 - Third Party Advisory
References (SUSE) http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00024.html - (SUSE) http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00024.html - Broken Link, Mailing List, Third Party Advisory
References (CONFIRM) https://security.netapp.com/advisory/ntap-20200924-0006/ - (CONFIRM) https://security.netapp.com/advisory/ntap-20200924-0006/ - Third Party Advisory
References (UBUNTU) https://usn.ubuntu.com/4511-1/ - (UBUNTU) https://usn.ubuntu.com/4511-1/ - Third Party Advisory
References (FEDORA) https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/M52WIRMZL6TZRYZ65N6OAYNNFHV62O2N/ - (FEDORA) https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/M52WIRMZL6TZRYZ65N6OAYNNFHV62O2N/ - Mailing List, Third Party Advisory

Information

Published : 2020-08-31 18:15

Updated : 2022-11-16 14:06


NVD link : CVE-2020-14364

Mitre link : CVE-2020-14364


JSON object : View

Products Affected

opensuse

  • leap

canonical

  • ubuntu_linux

qemu

  • qemu

debian

  • debian_linux

redhat

  • openstack
  • enterprise_linux

fedoraproject

  • fedora
CWE
CWE-125

Out-of-bounds Read

CWE-787

Out-of-bounds Write